> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook Stats

> Retrieve Webhook Stats



## OpenAPI

````yaml GET /webhooks/stats
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /webhooks/stats:
    get:
      tags:
        - Webhooks
      summary: Get Webhook Stats
      description: Retrieve Webhook Stats
      operationId: getWebhookStats
      parameters:
        - name: webhookId
          in: query
          description: id of the webhook
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Webhook Statistics
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookStats'
components:
  schemas:
    WebhookStats:
      type: object
      required:
        - id
        - status
        - queuedMessages
        - lastSuccessfulDeliveryTime
        - lastFailedDeliveryTime
      properties:
        id:
          $ref: '#/components/schemas/Id'
          description: Webhook ID
        status:
          type: string
          enum:
            - healthy
            - unhealthy
            - suspended
            - deleted
        queuedMessages:
          type: number
          description: Number of messages queued for delivery
        lastSuccessfulDeliveryTime:
          type: string
          format: date-time
          description: Date/Time of last successful delivery in ISO8601 format
        lastFailedDeliveryTime:
          type: string
          format: date-time
          description: Date/Time of last failed delivery in ISO8601 format
    Id:
      type: string
      format: uuid
      description: ID of resource
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````